# Cinder

# cinder::app::Renderer Class Reference

`#include <Renderer.h>`

Inherited by cinder::app::Renderer2d, cinder::app::Renderer2d, and cinder::app::RendererGl.

List of all members.

## Public Member Functions
virtual | ~Renderer ()
virtual void | setup (class App *aApp, CGRect frame, NSView *cinderView)=0
virtual CGContextRef | getCgContext ()
virtual CGLContextObj | getCglContext ()
virtual CGLPixelFormatObj | getCglPixelFormat ()
virtual void | setup (class App *aApp, const Area &frame, UIView *cinderView)=0
virtual bool | isEaglLayer () const
virtual void | setFrameSize (int width, int height)
virtual void | makeCurrentContext ()=0
virtual void | setup (class App *aApp, HWND wnd, HDC dc)=0
virtual void | prepareToggleFullScreen ()
virtual void | finishToggleFullScreen ()
virtual void | kill ()
virtual HWND | getHwnd ()=0
virtual HDC | getDc ()
virtual Surface | copyWindowSurface (const Area &area)=0
virtual void | startDraw ()
virtual void | finishDraw ()
virtual void | defaultResize ()
## Protected Attributes
class App * | mApp

## Constructor & Destructor Documentation

virtual cinder::app::Renderer::~Renderer | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void cinder::app::Renderer::setup | ( | class App * | aApp,
|  | CGRect | frame,
|  | NSView * | cinderView |
| ) |  |  | `[pure virtual]`

Implemented in cinder::app::RendererGl, and cinder::app::Renderer2d.

virtual CGContextRef cinder::app::Renderer::getCgContext | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::Renderer2d.

virtual CGLContextObj cinder::app::Renderer::getCglContext | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::RendererGl.

virtual CGLPixelFormatObj cinder::app::Renderer::getCglPixelFormat | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::RendererGl.

virtual void cinder::app::Renderer::setup | ( | class App * | aApp,
|  | const Area & | frame,
|  | UIView * | cinderView |
| ) |  |  | `[pure virtual]`

Implemented in cinder::app::RendererGl, and cinder::app::Renderer2d.

virtual bool cinder::app::Renderer::isEaglLayer | ( |  | ) | const`[virtual]`

Reimplemented in cinder::app::RendererGl.

virtual void cinder::app::Renderer::setFrameSize | ( | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

Reimplemented in cinder::app::RendererGl, and cinder::app::Renderer2d.

virtual void cinder::app::Renderer::makeCurrentContext | ( |  | ) | `[pure virtual]`

Implemented in cinder::app::RendererGl, and cinder::app::Renderer2d.

virtual void cinder::app::Renderer::setup | ( | class App * | aApp,
|  | HWND | wnd,
|  | HDC | dc |
| ) |  |  | `[pure virtual]`

Implemented in cinder::app::RendererGl, and cinder::app::Renderer2d.

virtual void cinder::app::Renderer::prepareToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::RendererGl, and cinder::app::Renderer2d.

virtual void cinder::app::Renderer::finishToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::RendererGl, and cinder::app::Renderer2d.

virtual void cinder::app::Renderer::kill | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::RendererGl, and cinder::app::Renderer2d.

virtual HWND cinder::app::Renderer::getHwnd | ( |  | ) | `[pure virtual]`

Implemented in cinder::app::RendererGl, and cinder::app::Renderer2d.

virtual HDC cinder::app::Renderer::getDc | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::Renderer2d.

virtual Surface cinder::app::Renderer::copyWindowSurface | ( | const Area & | area | ) | `[pure virtual]`

Implemented in cinder::app::RendererGl, cinder::app::Renderer2d, and cinder::app::Renderer2d.

virtual void cinder::app::Renderer::startDraw | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::RendererGl, cinder::app::Renderer2d, and cinder::app::Renderer2d.

virtual void cinder::app::Renderer::finishDraw | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::RendererGl, cinder::app::Renderer2d, and cinder::app::Renderer2d.

virtual void cinder::app::Renderer::defaultResize | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::RendererGl, cinder::app::Renderer2d, and cinder::app::Renderer2d.

## Member Data Documentation

class App* cinder::app::Renderer::mApp`[protected]`

The documentation for this class was generated from the following file:

- include/cinder/app/Renderer.h